Skip to main content
GET
/
v2
/
admin
/
phone-numbers
List Phone Numbers
curl --request GET \
  --url https://api.voxo.co/v2/admin/phone-numbers/ \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "number": "<string>",
      "registeredCNAM": "<string>",
      "tenantId": 123,
      "branchId": 123,
      "diCommentName": "<string>",
      "recording": "<string>",
      "fax": "<string>",
      "faxEmail": "<string>",
      "faxStore": "<string>",
      "namePrefix": "<string>",
      "unconditionalStatus": "<string>",
      "emailRecording": "<string>",
      "storeAndForwardNumber": "<string>",
      "smsExtId": 123
    }
  ],
  "page": 123,
  "maxPage": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string
required

Tenant ID

number
string

Filter by phone number

branchId
string

Filter by branch ID

fax
string

Filter fax-enabled numbers

Response

Paginated phone numbers

records
object[]
required

Phone number records

page
number
required

Current page

maxPage
number
required

Maximum page

total
number
required

Total records